Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javafe
Class PrintSpec.PrintSpecPrettyPrint

    java.lang.Object
      javafe.ast.PrettyPrint
          javafe.ast.StandardPrettyPrint
              javafe.PrintSpec.PrintSpecPrettyPrint

Enclosing class:
  PrintSpec

class PrintSpec.PrintSpecPrettyPrint
extends StandardPrettyPrint

* Keeping track of loaded CompilationUnits: * *

Field Summary

Fields inherited from class javafe.ast.PrettyPrint
`displayInferred, INDENT, inst, self`

Constructor Summary
`(package private)` | `PrintSpec.PrintSpecPrettyPrint()`

Method Summary
`void` | `printnoln(java.io.OutputStream o, int ind, TypeDecl d)` Print a type declaration onto to a stream, without a final newline.

Methods inherited from class javafe.ast.StandardPrettyPrint
`print, print, print, print, print, print, print, print, print, print, print, print, print, print, print, print, print, print, print, println, toCanonicalString, unknownTag, unknownTagMsg`

Methods inherited from class javafe.ast.PrettyPrint
`print, println, println, println, spaces, toString, toString, toString, toString, toString, toString, toString, toString, toString, toString, toString, write, write, writeln, writeln`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrintSpec.PrintSpecPrettyPrint

    PrintSpec.PrintSpecPrettyPrint()

Method Detail

### printnoln

    public void printnoln(java.io.OutputStream o,
                          int ind,
                          TypeDecl d)

  Description copied from class: `PrettyPrint`
  Print a type declaration onto to a stream, without a final newline.

  Overrides:
    `printnoln` in class `StandardPrettyPrint`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage